# -*- encoding: utf-8 -*-
# stub: rgl 0.5.3 ruby lib

Gem::Specification.new do |s|
  s.name = "rgl"
  s.version = "0.5.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib"]
  s.authors = ["Horst Duchene", "Kirill Lashuk"]
  s.autorequire = "rgl/base"
  s.date = "2017-04-22"
  s.description = "RGL is a framework for graph data structures and algorithms"
  s.email = "monora@gmail.com"
  s.extra_rdoc_files = ["README.md"]
  s.files = ["README.md"]
  s.homepage = "https://github.com/monora/rgl"
  s.rdoc_options = ["--title", "RGL - Ruby Graph Library", "--main", "README.md", "--line-numbers"]
  s.rubygems_version = "2.4.5.5"
  s.summary = "Ruby Graph Library"

  s.installed_by_version = "2.4.5.5" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<stream>, ["~> 0.5.0"])
      s.add_runtime_dependency(%q<lazy_priority_queue>, ["~> 0.1.0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<yard>, [">= 0"])
      s.add_development_dependency(%q<test-unit>, [">= 0"])
    else
      s.add_dependency(%q<stream>, ["~> 0.5.0"])
      s.add_dependency(%q<lazy_priority_queue>, ["~> 0.1.0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<yard>, [">= 0"])
      s.add_dependency(%q<test-unit>, [">= 0"])
    end
  else
    s.add_dependency(%q<stream>, ["~> 0.5.0"])
    s.add_dependency(%q<lazy_priority_queue>, ["~> 0.1.0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<yard>, [">= 0"])
    s.add_dependency(%q<test-unit>, [">= 0"])
  end
end
